@ECHO OFF
CLS
IF "%1"=="C:" GOTO RUNME
IF "%1"=="c:" GOTO RUNME
IF "%1"=="D:" GOTO RUNME
IF "%1"=="d:" GOTO RUNME
IF "%1"=="E:" GOTO RUNME
IF "%1"=="e:" GOTO RUNME
IF "%1"=="F:" GOTO RUNME
IF "%1"=="f:" GOTO RUNME
IF "%1"=="G:" GOTO RUNME
IF "%1"=="g:" GOTO RUNME
IF "%1"=="H:" GOTO RUNME
IF "%1"=="h:" GOTO RUNME
IF "%1"=="I:" GOTO RUNME
IF "%1"=="i:" GOTO RUNME
IF "%1"=="J:" GOTO RUNME
IF "%1"=="j:" GOTO RUNME
IF "%1"=="K:" GOTO RUNME
IF "%1"=="k:" GOTO RUNME
IF "%1"=="L:" GOTO RUNME
IF "%1"=="l:" GOTO RUNME
IF "%1"=="M:" GOTO RUNME
IF "%1"=="m:" GOTO RUNME
IF "%1"=="N:" GOTO RUNME
IF "%1"=="n:" GOTO RUNME
IF "%1"=="O:" GOTO RUNME
IF "%1"=="o:" GOTO RUNME
IF "%1"=="P:" GOTO RUNME
IF "%1"=="p:" GOTO RUNME
IF "%1"=="Q:" GOTO RUNME
IF "%1"=="q:" GOTO RUNME
IF "%1"=="R:" GOTO RUNME
IF "%1"=="r:" GOTO RUNME
IF "%1"=="S:" GOTO RUNME
IF "%1"=="s:" GOTO RUNME
IF "%1"=="T:" GOTO RUNME
IF "%1"=="t:" GOTO RUNME
IF "%1"=="U:" GOTO RUNME
IF "%1"=="u:" GOTO RUNME
IF "%1"=="V:" GOTO RUNME
IF "%1"=="v:" GOTO RUNME
IF "%1"=="W:" GOTO RUNME
IF "%1"=="w:" GOTO RUNME
IF "%1"=="X:" GOTO RUNME
IF "%1"=="x:" GOTO RUNME
IF "%1"=="Y:" GOTO RUNME
IF "%1"=="y:" GOTO RUNME
IF "%1"=="Z:" GOTO RUNME
IF "%1"=="z:" GOTO RUNME
ECHO Syntax Error!!!
ECHO Specified drive is invalid.
ECHO Type INSTALL [Drive:]
ECHO ( ie. INSTALL C: )
GOTO END

:RUNME
ECHO INSTALL will now copy and decompress the files needed to work this game . . .
ECHO PRESS ANY KEY . . .
PAUSE > NUL
CLS
ECHO Decompressing . . .
ARJ X -V -Y CALL.ARJ %1\ > NUL
%1
CD\CALL
TELINI
CLS
ECHO Installation Complete . . .
ECHO.
ECHO To Play this game, simply run TEL.EXE from WIN/V
ECHO.
GOTO END

:ERROR
ECHO Error!!!
ECHO Files Needed for Installation are Missing or Corrupt!!!

:END
